"use strict";

// Теоретический вопрос

// 1. Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
// Существует три вида ключевых слов для создания переменны - var, let и const.
// Через ключевое слово - const объявляется переменная, которая является константой и ее менять незьзя,
// т.к. наш код будет выдавать ошибку. Ключевые слова - var, let выполняют одинаковые функции,
// они объявляют переменные, но они ни являются неизменными константами и в процессе написания кода могут изменяться.
//
// 2. Почему объявлять переменную через var считается плохим тоном?
// Единственная разница между var и let, это то, что ключевое слово - var в современных условиях почти не используется.
// Но если прийдется работать с продуктом, который давно уже написан, то возможно нужно будет работать с этим ключевым словом.
// Можно сказать, что это старый образец, которым пользовалась "старая гвардия".

// Задание

// Реализовать простую программу на Javascript, которая будет взаимодействовать с пользователем с помощью модальных окон браузера - alert, prompt, confirm. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).
// Технические требования:
// Считать с помощью модельного окна браузера данные пользователя: имя и возраст.
// Если возраст меньше 18 лет - показать на экране сообщение: You are not allowed to visit this website.
// Если возраст от 18 до 22 лет (включительно) - показать окно со следующим сообщением: Are you sure you want to continue? и кнопками Ok, Cancel. Если пользователь нажал Ok, показать на экране сообщение: Welcome, + имя пользователя. Если пользователь нажал Cancel, показать на экране сообщение: You are not allowed to visit this website.
// Если возраст больше 22 лет - показать на экране сообщение: Welcome, + имя пользователя.
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.

let name = prompt("Input your name");
let age = +prompt("Input your age");
if (age < 18) {
  alert("You are not allowed to visit this website");
} else if (age > 22) {
  alert(`Welcom, ${name}!`);
} else {
  if (confirm("Are you sure you want to continue?")) {
    alert(`Welcom, ${name}!`);
  } else {
    alert("You are not allowed to visit this website");
  }
}
